Package org.jacoco.core.analysis

## Interface IClassCoverage

All Superinterfaces:
  `ICoverageNode`, `ISourceNode`

All Known Implementing Classes:
  `ClassCoverageImpl`

    public interface IClassCoverage
    extends ISourceNode

Coverage data of a single class containing methods. The name of this node is the fully qualified class name in VM notation (slash separated).

See Also:
  `IMethodCoverage`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Field Summary

### Fields inherited from interface org.jacoco.core.analysis.ISourceNode

`UNKNOWN_LINE`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getId()` Returns the identifier for this class which is the CRC64 signature of the class definition.
`java.lang.String[]` `getInterfaceNames()` Returns the VM names of implemented/extended interfaces.
`java.util.Collection<IMethodCoverage>` `getMethods()` Returns the methods included in this class.
`java.lang.String` `getPackageName()` Returns the VM name of the package this class belongs to.
`java.lang.String` `getSignature()` Returns the VM signature of the class.
`java.lang.String` `getSourceFileName()` Returns the optional name of the corresponding source file.
`java.lang.String` `getSuperName()` Returns the VM name of the superclass.
`boolean` `isNoMatch()` Returns if the the analyzed class does match the execution data provided.

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`containsCode, getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Methods inherited from interface org.jacoco.core.analysis.ISourceNode

`getFirstLine, getLastLine, getLine`

### Method Detail

#### getId

    long getId()

Returns the identifier for this class which is the CRC64 signature of the class definition.

Returns:
  class identifier

#### isNoMatch

    boolean isNoMatch()

Returns if the the analyzed class does match the execution data provided. More precisely if execution data is available for a class with the same qualified name but with a different class id.

Returns:
  `true` if this class does not match to the provided execution data.

#### getSignature

    java.lang.String getSignature()

Returns the VM signature of the class.

Returns:
  VM signature of the class (may be `null`)

#### getSuperName

    java.lang.String getSuperName()

Returns the VM name of the superclass.

Returns:
  VM name of the super class (may be `null`, i.e. `java/lang/Object`)

#### getInterfaceNames

    java.lang.String[] getInterfaceNames()

Returns the VM names of implemented/extended interfaces.

Returns:
  VM names of implemented/extended interfaces

#### getPackageName

    java.lang.String getPackageName()

Returns the VM name of the package this class belongs to.

Returns:
  VM name of the package

#### getSourceFileName

    java.lang.String getSourceFileName()

Returns the optional name of the corresponding source file.

Returns:
  name of the corresponding source file

#### getMethods

    java.util.Collection<IMethodCoverage> getMethods()

Returns the methods included in this class.

Returns:
  methods of this class